error: command 'aarch64

今天在firefly上安装tensorflow1.12.0时老是报

error: command 'aarch64-linux-gnu-gcc' failed with exit status 1
Command "/usr/bin/python -u -c "import setuptools, tokenize;__file__='/tmp/pip-install-Geo382/h5py/setup.py';
f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 
'exec'))" install --record /tmp/pip-record-MrxlHq/install-record.txt --single-version-externally-managed --compile" 
failed with error code 1 in /tmp/pip-install-Geo382/h5py/

这个错误。返回去看一下,这正是在装h5py时报的错。
解决办法 :

sudo pip install cython
sudo apt-get install libhdf5-dev
sudo pip install h5py

直接装h5py会报如上错误,安装完 libhdf5-dev错误就消失了。

最新回复(0)
/jishueETdZdPp6w3Y2com7OM94QEWLMtg_2FQBqUQBGuJpNYTw_3D4858115
8 简首页